package cd.casic.ci.commons.commonapi.pojo;

public class ErrorCode {
    // 蓝盾系统错误
    public static final int SYSTEM_DAEMON_INTERRUPTED = 2189500;
    public static final int SYSTEM_SERVICE_ERROR = 2189501;
    public static final int SYSTEM_OUTTIME_ERROR = 2189502;
    public static final int SYSTEM_WORKER_LOADING_ERROR = 2189503;
    public static final int SYSTEM_WORKER_INITIALIZATION_ERROR = 2189504;
    public static final int SYSTEM_INNER_TASK_ERROR = 2189505;

    // 第三方接入平台错误
    public static final int THIRD_PARTY_INTERFACE_ERROR = 2199501;
    public static final int THIRD_PARTY_BUILD_ENV_ERROR = 2199502;

    // 插件执行错误
    public static final int PLUGIN_DEFAULT_ERROR = 2199001;

    // 用户使用错误
    public static final int USER_INPUT_INVAILD = 2199002;
    public static final int USER_RESOURCE_NOT_FOUND = 2199003;
    public static final int USER_TASK_OPERATE_FAIL = 2199004;
    public static final int USER_JOB_OUTTIME_LIMIT = 2199005;
    public static final int USER_TASK_OUTTIME_LIMIT = 2199006;
    public static final int USER_QUALITY_CHECK_FAIL = 2199007;
    public static final int USER_SCRIPT_COMMAND_INVAILD = 2199009;
    public static final int USER_STAGE_FASTKILL_TERMINATE = 2199010;
    public static final int USER_SCRIPT_TASK_FAIL = 2199011;

    private ErrorCode() {
        // Private constructor to prevent instantiation
    }
} 