package cd.casic.ci.commons.commonapi.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "插件错误信息")
public class ErrorInfo {
    @Schema(title = "阶段ID", required = false)
    private String stageId;

    @Schema(title = "作业ID", required = false)
    private String containerId;

    @Schema(title = "构建矩阵标识", required = false)
    private Boolean matrixFlag;

    @Schema(title = "插件ID", required = false)
    private String taskId;

    @Schema(title = "插件名称", required = false)
    private String taskName;

    @Schema(title = "插件编号", required = false)
    private String atomCode;

    @Schema(title = "错误类型", required = false)
    private Integer errorType;

    @Schema(title = "错误码", required = true)
    private Integer errorCode;

    @Schema(title = "错误信息", required = false)
    private String errorMsg;
} 