package cd.casic.ci.commons.commonapi.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "分页数据包装模型")
public class Pagination<T> {
    @Schema(title = "是否有下一页", required = true)
    private Boolean hasNext;

    @Schema(title = "数据", required = true)
    private List<T> records;

    @Schema(title = "总记录行数", required = false)
    private Long count;
} 