package cd.casic.ci.commons.commonapi.pojo.agent;

import io.swagger.v3.oas.annotations.media.Schema;

@Schema(title = "第三方构建信息")
public class ThirdPartyBuildInfo {
    @Schema(title = "项目id")
    private String projectId;

    @Schema(title = "构建id")
    private String buildId;

    @Schema(title = "构建机编排序号")
    private String vmSeqId;

    @Schema(title = "工作空间")
    private String workspace;

    public ThirdPartyBuildInfo(String projectId, String buildId, String vmSeqId, String workspace) {
        this.projectId = projectId;
        this.buildId = buildId;
        this.vmSeqId = vmSeqId;
        this.workspace = workspace;
    }

    // Getters and Setters
}
