/*
 * Tencent is pleased to support the open source community by making BK-CI 蓝鲸持续集成平台 available.
 *
 * Copyright (C) 2019 THL A29 Limited, a Tencent company.  All rights reserved.
 *
 * BK-CI 蓝鲸持续集成平台 is licensed under the MIT license.
 *
 * A copy of the MIT License is included in this file.
 *
 * ...
 */

package cd.casic.ci.commons.commonapi.pojo.agent;

import io.swagger.v3.oas.annotations.media.Schema;

@Schema(title = "第三方构建Docker信息")
public class ThirdPartyDockerBuildInfo {
    @Schema(title = "项目id")
    private String projectId;

    @Schema(title = "构建id")
    private String buildId;

    @Schema(title = "构建机编排序号")
    private String vmSeqId;

    public ThirdPartyDockerBuildInfo(String projectId, String buildId, String vmSeqId) {
        this.projectId = projectId;
        this.buildId = buildId;
        this.vmSeqId = vmSeqId;
    }

    // Getters and Setters
} 