package cd.casic.ci.commons.commonapi.enums;

import org.apache.commons.lang3.StringUtils;

public enum RepositoryType {
    ID,
    NAME;

    public static RepositoryType parseType(String type) {
        if (type == null || StringUtils.isBlank(type)) {
            return ID;
        }
        return valueOf(type);
    }
}