/*
 * Tencent is pleased to support the open source community by making BK-CI 蓝鲸持续集成平台 available.
 *
 * Copyright (C) 2019 THL A29 Limited, a Tencent company.  All rights reserved.
 *
 * BK-CI 蓝鲸持续集成平台 is licensed under the MIT license.
 *
 * A copy of the MIT License is included in this file.
 *
 * ...
 */

package cd.casic.ci.commons.commonapi.pojo.agent;

import io.swagger.v3.oas.annotations.media.Schema;

@Schema(title = "需要升级的项")
public class UpgradeItem {
    @Schema(title = "升级go agent")
    private boolean agent;

    @Schema(title = "升级worker")
    private boolean worker;

    @Schema(title = "升级jdk")
    private boolean jdk;

    @Schema(title = "升级docker init 脚本")
    private boolean dockerInitFile;

    public UpgradeItem(boolean agent, boolean worker, boolean jdk, boolean dockerInitFile) {
        this.agent = agent;
        this.worker = worker;
        this.jdk = jdk;
        this.dockerInitFile = dockerInitFile;
    }

    // Getters and Setters
} 